# Transaksi

## Melakukan Transksi Baru

<mark style="color:blue;">`GET`</mark> `https://api.tukar.co.id/h2h/api/trx`

**Parameter**

<table><thead><tr><th>Parameter</th><th width="143">Tipe Data</th><th width="267">Deskripsi</th><th></th></tr></thead><tbody><tr><td><code>api_key</code></td><td>string</td><td>API Key anda</td><td>Ya</td></tr><tr><td><code>api_user</code></td><td>string</td><td>API User anda</td><td>Ya</td></tr><tr><td><code>ref_id</code></td><td>string</td><td>Kode unik transaksi</td><td>Ya</td></tr><tr><td><code>qty</code></td><td>string</td><td>Opsional</td><td>Tidak</td></tr><tr><td><code>product</code></td><td>string</td><td>Kode produk</td><td>Ya</td></tr><tr><td><code>dest</code></td><td>string</td><td>Nomer tujuan</td><td>Ya</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="Respon Sukses" %}

```json
{
    "ref_id": "tes128",
    "product": "cekgjk",
    "dest": "081234567898",
    "price": 60000,
    "status": "sukses",
    "message": "Transaksi sukses",
    "sn": "GOPAY/ENDO SULISTIO.",
    "rc": "00",
    "saldo_ahir": 271800
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Deskripsi respon yang akan diterima
{% endhint %}

<table><thead><tr><th width="218">Parameter</th><th width="140">Tipe Data</th><th width="288">Deskripsi</th><th>Wajib</th></tr></thead><tbody><tr><td><code>ref_id</code></td><td>string</td><td>Kode unik transaksi</td><td>Ya</td></tr><tr><td><code>product</code></td><td>string</td><td>Kode produk</td><td>Ya</td></tr><tr><td><code>dest</code></td><td>string</td><td>Nomer tujuan</td><td>Ya</td></tr><tr><td><code>price</code></td><td>int</td><td>Harga produk</td><td>Ya</td></tr><tr><td><code>status</code></td><td>string</td><td><p>Status transaksi </p><p><code>pending</code>, <code>sukses</code>, <code>gagal</code></p></td><td>Ya</td></tr><tr><td><code>message</code></td><td>string</td><td>Deskripsi transaksi</td><td>Ya</td></tr><tr><td><code>sn</code></td><td>string</td><td>Serial Number</td><td>Tidak</td></tr><tr><td><code>rc</code></td><td>string</td><td><a href="/pages/L0JvmCn8ivvcqjzpCl8U">Respon Code</a></td><td>Ya</td></tr><tr><td><code>saldo_ahir</code></td><td>number</td><td>Sisa saldo setelah transaksi</td><td>Tidak</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sidopulsa.com/api/transaksi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
